## wine-gecko-1.1.0 1.1.0+dfsg

=== debian/changelog ===
wine-gecko-1.1.0 (1.1.0+dfsg-2) unstable; urgency=low

  * Mark binary packages "Multi-Arch: foreign" (closes: #673524).
  * The full text of the MPL and NPL is in debian/copyright, no need to
    ship it separately.

 -- Stephen Kitt <steve@sk2.org>  Sat, 19 May 2012 19:45:27 +0200

wine-gecko-1.1.0 (1.1.0+dfsg-1) unstable; urgency=low

  * Add myself to uploaders and allow DM uploads (as suggested by Michael
    Gilbert).
  * New upstream version (not the latest, but this version is required on
    the road to Wine 1.4).
  * Update patches:
    - patches/bashism: refresh;
    - patches/config: adapt to the new configuration files used upstream;
    - patches/gcc-4.6-temporary-variable: refresh;
    - patches/mno-cygwin-removed: refresh;
    - patches/no_xpidel, patches/mingw-lock, patches/version-fix,
      patches/gcc-4.5-fixes, patches/gcc-4.6-const-qualifiers,
      patches/more-gcc-4.6-const-qualifiers: removed.
  * Drop libstdc++6-4.5-dev build-dependency, no longer used
    (g++-mingw-w64-i686 pulls in libstdc6-4.6-dev).
  * Rename to wine-gecko-1.1.0 - there is no stable/unstable distinction
    in wine-gecko, just different versions, each one required by a series
    of versions of Wine, stable or otherwise.
  * Install the CAB files in /usr/share/wine-gecko, and rely on the wine
    packages to symlink them as appropriate.
  * Use make_package for the standard and debug builds, make_package-dbg
    is no longer provided.
  * Header files no longer need to be cleaned up.
  * Remove the unused buildtools target from debian/rules.
  * Update debian/watch to track 1.1.
  * Update debian/copyright: switch to format 1.0, add missing license
    descriptions.
  * Split build-arch/build-indep targets.
  * Standards-Version 3.9.3, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Tue, 01 May 2012 23:53:53 +0200

wine-gecko-unstable (1.0.0+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on g++-mingw-w64-i686 after gcc-mingw-w64 package split
    (closes: #669558)
    - Thanks to Stephen Kitt for the patch!

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 20 Apr 2012 16:43:42 -0400

wine-gecko-unstable (1.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #479861)
  * Packaging includes contributions from Stephen Kitt <steve@sk2.org>
    (especially for debian/copyright).

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 04 Aug 2011 23:41:17 +0200
