=== debian/control ===
Source: wine-gecko-1.1.0
Section: otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>, Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), autoconf2.13
Build-Depends-Indep: libidl-dev, libx11-dev, g++-mingw-w64-i686,
 python, zip, unzip, lcab
Build-Conflicts: binfmt-support
Standards-Version: 3.9.3
Homepage: http://www.winehq.org/

Package: libwine-gecko-1.1.0
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Windows API implementation - web browser module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko.

Package: libwine-gecko-dbg-1.1.0
Section: libs
Architecture: all
Depends: ${misc:Depends}
Provides: libwine-gecko-1.1.0
Conflicts: libwine-gecko-1.1.0
Multi-Arch: foreign
Description: Windows API implementation - web browser debug build
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko,
 with debugging symbols.
