=== debian/watch ===
version=3

# This package is version 1.1-specific, we're only interested in
# minor updates
opts=uversionmangle=s/-src$//,dversionmangle=s/.dfsg$// \
http://sf.net/wine/wine-mozilla-(1\.1.*)\.tar\.bz2 debian python debian/repack.py
